Subject: Re: [OPSAWG] Fwd: New Version Notification for draft-perrault-behave-natv2-mib-00.txt

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 30 Jan 2015 14:50:02 -0600

Hi, Tom,

On Jan 18, 2015 9:57 PM, "Tom Taylor" <[email-masked]> wrote:
>
> Several months' work, almost done. A couple of sections need work, as
indicated in the document, but there's lots to review including the
complete MIB module definition.

Tina was asking me about this draft - are you planning to have me send -00
to the IESG, or were you going to do another revision?

Spencer, who thought he knew what the plan was, but ... :-)

> This is a major rewrite from the draft-ietf-behave-nat-11 version of
> NAT MIB. Reworking was needed to address all the issues outstanding
against that document. I suppose the next step is to send out a series of
messages walking through all the changes from
> draft-ietf-behave-nat-11 and how they respond to the open issues.
>
> I look forward to any comments on the new document.
>
> Tom Taylor
>
> -------- Forwarded Message --------
> Subject: New Version Notification for
draft-perrault-behave-natv2-mib-00.txt
> Date: Sun, 18 Jan 2015 19:45:03 -0800
> From: [email-masked]
> ....
>
> A new version of I-D, draft-perrault-behave-natv2-mib-00.txt
> has been successfully submitted by Tom Taylor and posted to the
> IETF repository.
>
> Name:           draft-perrault-behave-natv2-mib
> Revision:       00
> Title:          Definitions of Managed Objects for Network Address
Translators (NAT)
> Document date:  2015-01-18
> Group:          Individual Submission
> Pages:          80
> URL:
http://www.ietf.org/internet-drafts/draft-perrault-behave-natv2-mib-00.txt
> Status: https://datatracker.ietf.org/doc/draft-perrault-behave-natv2-mib/
> Htmlized: http://tools.ietf.org/html/draft-perrault-behave-natv2-mib-00
>
>
> Abstract:
>    This memo defines a portion of the Management Information Base (MIB)
>    for devices implementing the Network Address Translator (NAT)
>    function.  The new MIB module defined in this document, NATV2-MIB, is
>    intended to replace module NAT-MIB (RFC 4008).  NATV2-MIB is not
>    backwards compatible with NAT-MIB, for reasons given in the text of
>    this document.  A companion document deprecates all objects in NAT-
>    MIB.  NATV2-MIB can be used for monitoring of NAT instances on a
>    device capable of NAT function.  Compliance levels are defined for
>    three application scenarios: basic NAT, pooled NAT, and carrier-grade
>    NAT (CGN).
>
>
>
>
>
> Please note that it may take a couple of minutes from the time of
submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>
>
>

---

From: Tom Taylor <[email-masked]>
Date: Fri, 30 Jan 2015 18:33:12 -0500

I have to do another revision to add an Operational and Management 
Considerations section and update the Security Considerations section. 
I've been working through some other stuff, but this is next on my 
plate, I believe. Once I submit -01, it is ready to publish, subject to 
any review process you need to have happen first.

So far I've had comments from Eleven Fuyu, who caught a couple of errors.

Tom

>>     three application scenarios: basic NAT, pooled NAT, and carrier-grade
...